#ifndef IO_CFG_H
#define IO_CFG_H


/** T R I S *********************************************************/
#define INPUT_PIN           1
#define OUTPUT_PIN          0

//inicjalizacja linii portow
#define mInitPA()           LATA &= 0x00; TRISA &= 0x00;    //init PORTA

#define mInitPB()           LATB &= 0b00000101; TRISB &= 0b00000101;    //init PORTC         
#define TX_EN_On()          LATBbits.LATB3 = 1
#define TX_EN_Off()          LATBbits.LATB3 = 0
#define TXEN                LATBbits.LATB3

//RB4 - CSN
#define CSN_On()            LATBbits.LATB4 = 1
#define CSN_Off()           LATBbits.LATB4 = 0
#define CSN                 LATBbits.LATB4
//RB2 - DR
#define DR                  PORTBbits.RB2

//#define TrgRst_On()         LATBbits.LATB2 = 1
//#define TrgRst_Off()        LATBbits.LATB2 = 0
//#define TrgRst_HighZ()      TRISB |= 0b00000100
//#define TrgRst_Normal()     TRISB &= 0b11111011

#define mInitPC()           LATC &= 0b00000000; TRISC &= 0b00000000;    //init PORTC
#define PWR_UP_On()         LATCbits.LATC6 = 1
#define PWR_UP_Off()        LATCbits.LATC6 = 0


#endif //IO_CFG_H
